Name:			fusiondirectory
Version:		1.0.6
Release:		%mkrel 2
Summary:		Web Based LDAP Administration Program 
License:		GPLv2
Source0:		http://download.fusiondirectory.org/sources/1.0/%{name}-%{version}.tar.gz
Source1:		http://download.fusiondirectory.org/sources/1.0/%{name}-plugins-%{version}.tar.gz
Source2:		%{name}-apache.conf
URL:			http://www.%{name}.org
Group:			System/Configuration
Buildarch:		noarch
Patch0:			%{name}-fix_libs_path.patch	
Patch1:			%{name}-remove_install_plugins_from_setup_binary.patch
Patch2:			%{name}-fix_openldap_schema_directory_path.patch
Patch3:			%{name}-fix_install_location.patch
Patch4:			%{name}-fix_hash_mhash_issue_for_smbHash.patch
Patch5:			%{name}-fix_samba_objects_management_issues.patch
Requires:		php,php-ldap,php-imap,php-snmp,php-mysql,php-mbstring,php-fpdf,php-iconv,php-imagick
Requires:		apache-mod_php,ImageMagick,gettext,php-smarty,php-smarty-gettext,openldap-clients
BuildArch:		noarch

%define confdir		%{_sysconfdir}/%{name}

%description
FusionDirectory is a combination of system-administrator and end-user web
interface, designed to handle LDAP based setups.
Provided is access to posix, shadow, samba, proxy, fax, and Kerberos
accounts. It is able to manage the Postfix/Cyrus server combination
and can write user adapted sieve scripts.

%package schema
Group:			System/Configuration
Summary:		Schema Definitions for the %{name} package
Requires:		openldap-servers

%description schema
Contains the Schema definition files for the %{name} admin package.

%package database
Group:			System/Configuration
Summary:		Fusiondirectory database management framework for %{name}
Requires:		%{name}

%description database
This package contains a database framework which allows connecting
Fusiondirectory to a database for storing specific datas. (Used only by specific
plugins).

%package plugin-addressbook
Group:	System/Configuration
Summary:	Simple addressbook addon
Requires:	%{name} >= %{version}

%description plugin-addressbook
Simple addressbook addon

%package plugin-alias
Group:	System/Configuration
Summary:	Alias mail addresses management for Postfix MTA
Requires:	%{name} >= %{version}, %{name}-plugin-mail >= %{version}

%description plugin-alias
This plugin is designed to configure mail aliases for Postfix.
It provides description and expiration date

%package plugin-apache2
Group:	System/Configuration
Summary:	Management plugin for Apache2
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-apache2
Management plugin for Apache2

%package plugin-argonaut
Group:	System/Configuration
Summary:	Management plugin for the Argonaut deployment service
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-argonaut
This plugin allows managing and storing configuration for the Argonaut
deployment service.

%package plugin-asterisk
Group:	System/Configuration
Summary:	VoIP back-end management with report functionality
Requires:	%{name} >= %{version},%{name}-database = %{version}, %{name}-plugin-systems >= %{version}
Obsoletes:	%{name}-plugin-gofon < %{version}-%{release}
Provides:	%{name}-plugin-gofon = %{version}-%{release}

%description plugin-asterisk
VoIP back-end management with report functionality

%package plugin-autofs
Group:	System/Configuration
Summary:	AutoFS-NFS management plugin
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-autofs
AutoFS-NFS management plugin

%package plugin-board
Group:	System/Configuration
Summary:	Smart dashboard for Fusiondirectory	
Requires:	%{name} >= %{version}

%description plugin-board
This plugin provides a nice dashboard for the LDAP Administrator.

%package plugin-cyrus
Group:	System/Configuration
Summary:	Cyrus accounts management	
Requires:	%{name} >= %{version}, %{name}-plugin-mail >= %{version}

%description plugin-cyrus
Cyrus accounts management plugin

%package plugin-debconf
Group:	System/Configuration
Summary:	Debconf management plugin
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-debconf
Debconf management plugin

%package plugin-dhcp
Group:	System/Configuration
Summary:	DHCP service management plugin
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-dhcp
DHCP service management plugin

%package plugin-dns
Group:	System/Configuration
Summary:	DNS service management plugin
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-dns
DNS service management plugin

%package plugin-dsa
Group:	System/Configuration
Summary:	DSA accounts branch management
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-dsa
This plugin is designed to maintain the DSA branch of your LDAP directory
The DSA branch is the one that contains the security accounts for LDAP clients

%package plugin-fai
Group:	System/Configuration
Summary:	FAI plugin for managing system deployment
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-fai
FAI plugin for managing system deployment

%package plugin-fax
Group:	System/Configuration
Summary:	Fax management back-end with report functionality
Requires:	%{name} >= %{version},%{name}-database = %{version},%{name}-plugin-systems >= %{version}
Obsoletes:	%{name}-plugin-gofax < %{version}-%{release}
Provides:	%{name}-plugin-gofax = %{version}-%{release}

%description plugin-fax
Fax management back-end with report functionality

%package plugin-freeradius
Group:	System/Configuration
Summary:	Freeradius management plugin
Requires:	%{name} >= %{version}

%description plugin-freeradius
Freeradius management plugin

%package plugin-game
Group:	System/Configuration
Summary:	Fusiondirectory game tutorial
Requires:	%{name} >= %{version},%{name}-database = %{version},%{name}-plugin-mail >= %{version}

%description plugin-game
Fusiondirectory game tutorial

%package plugin-kolab
Group:	System/Configuration
Summary:	Kolab2 management plugin
Requires:	%{name} >= %{version},%{name}-plugin-mail >= %{version}

%description plugin-kolab
Kolab2 management plugin

%package plugin-ldapmanager
Group:	System/Configuration
Summary:	Simple LDAP backup and insertion tasks
Requires:	%{name} >= %{version}

%description plugin-ldapmanager
Simple LDAP backup and insertion tasks

%package plugin-mail
Group:	System/Configuration
Summary:	Mail management base plugin
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-mail
Mail management base plugin

%package plugin-nagios
Group:	System/Configuration
Summary:	Nagios account settings management
Requires:	%{name} >= %{version}

%description plugin-nagios
Nagios account settings management

%package plugin-netgroups
Group:	System/Configuration
Summary:	NIS Netgroups account management plugin
Requires:	%{name} >= %{version}

%description plugin-netgroups
NIS Netgroups account management plugin

%package plugin-opsi
Group:	System/Configuration
Summary:	OPSI configuration management plugin
Requires:	%{name} >= %{version}, %{name}-plugin-dns >= %{version}, %{name}-plugin-systems >= %{version}, %{name}-plugin-samba >= %{version} 

%description plugin-opsi
OPSI configuration management plugin

%package plugin-openstack-compute
Group:	System/Configuration
Summary:	Openstack Compute users management interface
Requires:	%{name} >= %{version}

%description plugin-openstack-compute
This plugin allow to manage users for the Openstack compute software.

%package plugin-puppet
Group:	System/Configuration
Summary:	Puppet configuration management
Requires:	%{name} >= %{version}

%description plugin-puppet
Puppet configuration management

%package plugin-pureftpd
Group:	System/Configuration
Summary:	PureFTPD connectivity plugin
Requires:	%{name} >= %{version}

%description plugin-pureftpd
PureFTPD connectivity plugin

%package plugin-quota
Group:	System/Configuration
Summary:	File system user quota management plugin	
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-quota
This plugin allows to manage user quota stored into the LDAP tree

%package plugin-rolemanagement
Group:	System/Configuration
Summary:	Role Management plugin
Requires:	%{name} >= %{version}

%description plugin-rolemanagement
Role Management plugin

%package plugin-rsyslog
Group:	System/Configuration
Summary:	Syslog and %{name} logging plugin
Requires:	%{name} >= %{version},%{name}-database = %{version},%{name}-plugin-systems >= %{version}

%description plugin-rsyslog
Syslog and %{name} logging plugin

%package plugin-samba
Group:	System/Configuration
Summary:	Plugin for Samba 2/3 integration
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-samba
Plugin for Samba 2/3 integration

%package plugin-squid
Group:	System/Configuration
Summary:	Squid connectivity plugin
Requires:	%{name} >= %{version}

%description plugin-squid
Squid connectivity plugin

%package plugin-ssh
Group:	System/Configuration
Summary:	Management plugin for ssh
Requires:	%{name} >= %{version}

%description plugin-ssh
Management plugin for ssh

%package plugin-sudo
Group:	System/Configuration
Summary:	Sudo manager
Requires:	%{name} >= %{version}

%description plugin-sudo
Sudo manager

%package plugin-supann
Group:	System/Configuration
Summary:	Fusiondirectory plugin for SUPANN directory management
Requires:	%{name} >= %{version}

%description plugin-supann
This Fusiondirectory plugin allow to manage directories following French SUPANN
standard

%package plugin-sympa
Group:	System/Configuration
Summary:	SYMPA mailing lists management plugin
Requires:	%{name} >= %{version}

%description plugin-sympa
SYMPA mailing lists management plugin

%package plugin-systems
Group:	System/Configuration
Summary:	System management base plugin
Requires:	%{name} >= %{version}
Obsoletes:	%{name}-plugin-goto <= 1.0.2

%description plugin-systems
System management base plugin

%package plugin-uw-imap
Group:	System/Configuration
Summary:	Management plugin for uw-imap
Requires:	%{name} >= %{version},%{name}-plugin-mail >= %{version}

%description plugin-uw-imap
Management plugin for uw-imap

%prep

%setup -q -n %{name}-%{version}
# Extract plugin sources (Source1) into core directory
%setup -q -T -D -a 1

%apply_patches

# Encoding conversion
iconv -f ISO-8859-1 -t UTF-8 AUTHORS -o AUTHORS.utf8
mv AUTHORS.utf8 AUTHORS

# Rename documentation file for netgroups which doesn't have a correct name
mv %{name}-plugins-%{version}/netgroups/doc/Readme.%{name} %{name}-plugins-%{version}/netgroups/doc/README.netgroups

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}

# Create spool and cache directories 
install -d -m 0770 %{buildroot}%{_localstatedir}/spool/%{name}/
install -d -m 0770 %{buildroot}%{_localstatedir}/cache/%{name}/{tmp,fai,asterisk,mail,systems,supann}
install -d -m 0770 %{buildroot}%{_localstatedir}/cache/%{name}/{template,locale}

DIRS="ihtml plugins html include locale setup"
echo `pwd`
for i in $DIRS; do \
  cp -ua $i %{buildroot}%{_datadir}/%{name} ; \
done

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_webconfdir}/sites.d
mkdir -p %{buildroot}%{confdir}

install -m 755 contrib/bin/* %{buildroot}%{_sbindir}

install -m 0644 contrib/%{name}.conf %{buildroot}%{_localstatedir}/cache/%{name}/template/

touch %{buildroot}%{_sysconfdir}/%{name}/%{name}.secrets
install -m 0644 %{SOURCE2} %{buildroot}%{_webconfdir}/sites.d/%{name}.conf

mkdir -p %{buildroot}%{_sysconfdir}/openldap/schema/%{name}
mv contrib/openldap/*.schema %{buildroot}%{_sysconfdir}/openldap/schema/%{name}

# install manpages
mkdir -p %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_mandir}/man5/
install -m 0644 contrib/man/*.1 %{buildroot}%{_mandir}/man1/
install -m 0644 contrib/man/*.5 %{buildroot}%{_mandir}/man5/

# Move Smarty plugins
install -d %{buildroot}%{_datadir}/php/Smarty/plugins/
mv contrib/smarty/plugins/block.render.php %{buildroot}%{_datadir}/php/Smarty/plugins/
mv contrib/smarty/plugins/block.t.php %{buildroot}%{_datadir}/php/Smarty/plugins/
mv contrib/smarty/plugins/function.msgPool.php %{buildroot}%{_datadir}/php/Smarty/plugins/
rm -Rf include/smarty/

# Core plugins installation
PLUGINS_LIST=`find %{name}-plugins-%{version}/ -mindepth 1 -maxdepth 1 -type d ! -name heimdal -a ! -name mit-krb5 -a ! -name log -a ! -name .tx`

# Entering plugins topdir
cd %{name}-plugins-%{version}/
for cur_plugin_line in ${PLUGINS_LIST};
do
	cur_plugin=`basename ${cur_plugin_line}`

	mkdir -p %{buildroot}%{_datadir}/%{name}/plugins/$cur_plugin
	cd ${cur_plugin}

	# Move extra HTML and images
	mkdir -p %{buildroot}%{_datadir}/%{name}/html/plugins/${cur_plugin}

	echo "%{buildroot} <<---------" 
	if ls ./html/* &> /dev/null ;then
		cp -a ./html/* %{buildroot}%{_datadir}/%{name}/html/plugins/${cur_plugin}
	fi

	# Move contrib if available
	if ls ./contrib/* &> /dev/null ;then
		mkdir %{buildroot}%{_defaultdocdir}/%{name}-plugin-${cur_plugin}
		cp -a  ./contrib/ %{buildroot}%{_defaultdocdir}/%{name}-plugin-${cur_plugin}
	fi

	# Copy configuration directory
	if ls ./config/* &> /dev/null ;then
		cp -a config %{buildroot}%{_datadir}/%{name}/plugins/
	fi

	# Copy etc
	mkdir -p %{buildroot}%{_sysconfdir}/%{name}
	if ls .%{_sysconfdir}/* &> /dev/null ;then
		cp -a .%{_sysconfdir}/* %{buildroot}%{_sysconfdir}/%{name}
	fi

	# Move localization
	mkdir -p %{buildroot}%{_datadir}/%{name}/locale/plugins/${cur_plugin}
	if ls ./locale/* &> /dev/null ;then
		cp -a ./locale/* %{buildroot}%{_datadir}/%{name}/locale/plugins/${cur_plugin}
	fi

	# Move plugin itself
	mkdir -p %{buildroot}%{_datadir}/%{name}/plugins
	TARGET_LIST="addons admin personal"
	
	for cur_target in ${TARGET_LIST} 
	do
		if ls ./${cur_target}/* &> /dev/null ;then
			cp -a ${cur_target} %{buildroot}%{_datadir}/%{name}/plugins/
		fi
	done

	# Copy includes files
	if ls ./include/* &> /dev/null ;then
		cp -a ./include/* %{buildroot}%{_datadir}/%{name}/include
	fi

	# Exiting plugin directory
	cd ..
	
done

%clean
rm -rf %{buildroot}

%post
%{_sbindir}/%{name}-setup --update-cache --update-locales

# Plugins post directives for refresh the cache
%post plugin-addressbook
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-alias
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-apache2
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-argonaut
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-autofs
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-asterisk
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-board
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-cyrus
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-debconf
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-dhcp
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-dns
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-dsa
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-fai
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-fax
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-freeradius
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-game
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-kolab
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-ldapmanager
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-mail
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-nagios
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-netgroups
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-opsi
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-openstack-compute
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-puppet
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-pureftpd
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-quota
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-rolemanagement
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-rsyslog
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-samba
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-squid
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-ssh
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-sudo
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-supann
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-sympa
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-systems
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-uw-imap
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-alias
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-addressbook
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-apache2
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-argonaut
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-asterisk
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-autofs
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-board
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-cyrus
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-debconf
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-dhcp
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-dns
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-dsa
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-fai
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-fax
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-freeradius
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-game
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-kolab
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-ldapmanager
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-mail
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-nagios
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-netgroups
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-opsi
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-openstack-compute
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-puppet
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-pureftpd
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-quota
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-rolemanagement
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-rsyslog
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-samba
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-squid
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-ssh
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-sudo
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-supann
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-sympa
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-systems
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-uw-imap
%{_sbindir}/%{name}-setup --update-cache --update-locales

%files
%defattr(-,root,root,-)
%doc %attr(-,root,root) AUTHORS Changelog COPYING
%attr(755,root,root) %{_sbindir}/%{name}-setup
%attr(755,root,root) %{_sbindir}/%{name}-encrypt-passwords
%attr(755,root,root) %{_sbindir}/%{name}-insert-schema
%attr(755,root,root) %{_sbindir}/schema2ldif
%attr(0644,root,root) %{_mandir}/man1/*.1*
%attr(0644,root,root) %{_mandir}/man5/*.5*
%attr(-,root,root)%{_datadir}/%{name}/locale/
%config(noreplace) %attr(0644,root,root) %{_webconfdir}/sites.d/%{name}.conf
%attr(0770, root, apache) %{_localstatedir}/spool/%{name}
%dir %attr(0770, root, apache) %{_localstatedir}/cache/%{name}
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/tmp
%attr(- root, apache) %{_localstatedir}/cache/%{name}/template/
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/locale

# Core files
%attr(-,root,root)%{_datadir}/%{name}/html/autocomplete.php
%attr(-,root,root)%{_datadir}/%{name}/html/favicon.ico
%attr(-,root,root)%{_datadir}/%{name}/html/getbin.php
%attr(-,root,root)%{_datadir}/%{name}/html/index.php
%attr(-,root,root)%{_datadir}/%{name}/html/logout.php
%attr(-,root,root)%{_datadir}/%{name}/html/main.php
%attr(-,root,root)%{_datadir}/%{name}/html/progress.php
%attr(-,root,root)%{_datadir}/%{name}/html/robots.txt
%attr(-,root,root)%{_datadir}/%{name}/html/setup.php
%attr(-,root,root)%{_datadir}/%{name}/html/images
%attr(-,root,root)%{_datadir}/%{name}/html/include
%attr(-,root,root)%{_datadir}/%{name}/html/themes
%attr(-,root,root)%{_datadir}/%{name}/html/class_passwordRecovery.inc
%attr(-,root,root)%{_datadir}/%{name}/html/recovery.php
%attr(-, root,root) %{_datadir}/%{name}/ihtml
%attr(-, root,root) %{_datadir}/%{name}/setup
%config(noreplace) %attr(0600, root,root) %{_sysconfdir}/%{name}/%{name}.secrets

# Include Files
%attr(-,root,root)%{_datadir}/%{name}/include/accept-to-gettext.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_CopyPasteHandler.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_SnapShotDialog.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_SnapshotHandler.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_acl.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_baseSelector.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_certificate.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_config.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_departmentSortIterator.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_divSelectBox.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_divlist.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_filter.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_filterLDAP.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_ldap.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_ldapMultiplexer.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_listing.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_listingSortIterator.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_log.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_management.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_msgPool.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_msg_dialog.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_plugin.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_pluglist.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_session.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_smbHash.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_sortableListing.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_tabs.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_tests.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_timezone.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_userinfo.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_xml.inc
%attr(-,root,root)%{_datadir}/%{name}/include/exporter/class_PDF.php
%attr(-,root,root)%{_datadir}/%{name}/include/exporter/class_cvsExporter.inc
%attr(-,root,root)%{_datadir}/%{name}/include/exporter/class_pdfExporter.inc
%attr(-,root,root)%{_datadir}/%{name}/include/functions.inc
%attr(-,root,root)%{_datadir}/%{name}/include/functions_debug.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-clear.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-crypt.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-md5.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-sasl.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-sha.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-smd5.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-ssha.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods.inc
%attr(-,root,root)%{_datadir}/%{name}/include/php_setup.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/class_BootKernelAttribute.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/class_attribute.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/class_dialogAttributes.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/class_helpersAttribute.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/class_multiPlugin.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/class_simpleManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/class_simplePlugin.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/class_simpleService.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/class_simpleTabs.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/simple-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin/simple-list.xml
%attr(-,root,root)%{_datadir}/%{name}/include/variables.inc
%attr(-,root,root)%{_datadir}/%{name}/include/variables_common.inc

# Smarty Files
%attr(-, root,root) %{_datadir}/php/Smarty/plugins/block.render.php
%attr(-, root,root) %{_datadir}/php/Smarty/plugins/block.t.php
%attr(-, root,root) %{_datadir}/php/Smarty/plugins/function.msgPool.php

# Base plugins files
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/acl-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/acl-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/acl-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/acl-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/acl_role.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/class_aclManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/class_aclRole.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/class_filterACL.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/paste_role.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/remove.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/tabs_acl.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/tabs_acl_role.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_countryGeneric.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_dcObject.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_department.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_departmentManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_domain.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_localityGeneric.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_organizationGeneric.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/country.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/dcObject.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/dep-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/dep-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/dep_iframe.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/dep-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/dep-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/dep_move_confirm.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/domain.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/generic.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/locality.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/organization.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/remove.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/tabs_department.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/class_filterGroupLDAP.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/class_group.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/class_groupManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/generic.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/group-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/group-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/group-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/group-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/paste_generic.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/remove.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/singleUserSelect/class_singleUserSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/singleUserSelect/singleUser-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/singleUserSelect/singleUser-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/singleUserSelect/singleUser-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/singleUserSelect/singleUser-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/tabs_group.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/trust_machines.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userGroupSelect/class_userGroupSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userGroupSelect/selectUserGroup-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userGroupSelect/selectUserGroup-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userGroupSelect/selectUserGroup-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userGroupSelect/selectUserGroup-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userSelect/class_userSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userSelect/user-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userSelect/user-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userSelect/user-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/userSelect/user-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/class_ogroup.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/class_ogroupManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/generic.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/objectSelect/class_filterLDAPDepartmentBlacklist.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/objectSelect/class_objectSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/objectSelect/selectObject-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/objectSelect/selectObject-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/objectSelect/selectObject-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/objectSelect/selectObject-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/ogroup-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/ogroup-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/ogroup-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/ogroup-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/ogroup_objects.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/paste_generic.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/remove.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/tabs_ogroups.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/ogroups/trust_machines.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/class_userManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/password.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/remove.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/tabs_user.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/template.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/templatize.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/user-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/user-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/user-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/user-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/generic/references/class_reference.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/generic/references/contents.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/generic/welcome/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/generic/welcome/welcome.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/generic/changed.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/generic/class_user.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/generic/generic_certs.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/generic/generic_picture.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/generic/generic.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/generic/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/generic/nochange.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/generic/password.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/generic/paste_generic.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/password/changed.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/password/class_password.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/password/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/password/nochange.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/password/password.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/class_posixAccount.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/groupSelect/class_filterLDAPBlacklist.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/groupSelect/class_groupSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/groupSelect/group-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/groupSelect/group-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/groupSelect/group-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/groupSelect/group-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/trustSelect/class_trustSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/trustSelect/trust-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/trustSelect/trust-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/trustSelect/trust-list.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/personal/posix/trustSelect/trust-list.xml

# Core plugins html directory
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/acl
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/bugsubmitter
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/departments
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/generic
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/groups
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/ogroups
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/password
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/posix
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/users
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/config

# Core plugins config section
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/class_configInLdap.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/class_mainPluginsConfig.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/class_pluginsConfigInLdap.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/tabs_configInLdap.inc

# Password Recovery Feature
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/password/class_recoveryConfig.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/password/main.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/password/recoveryConfig.tpl

%files schema
%defattr(-,root,root,-)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/openldap/schema/%{name}/*.schema

%files database
%defattr(-,root,root,-)
%attr(0644,root,root)
%{_datadir}/%{name}/include/class_databaseManagement.inc

%files plugin-alias
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/alias/
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/alias/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/alias/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/alias/
%doc contrib

%files plugin-addressbook
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/addressbook/main.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/addressbook/class_addressbook.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/addressbook/remove.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/addressbook/address_edit.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/addressbook/dial.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/addressbook/contents.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/addressbook/address_info.tpl
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/addressbook
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/addressbook

%files plugin-apache2
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/apache2/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/apache2
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/apache2
%doc contrib

%files plugin-argonaut
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/include/class_supportDaemon.inc
%attr (-,root,root)	%{_datadir}/%{name}/include/jsonRPCClient.php
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/argonaut/
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/argonaut/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/argonaut/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/argonaut
%doc contrib

%files plugin-asterisk
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/asterisk/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/asterisk/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/ogroups/asterisk/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/conference/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/macro/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/faxreports/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/fonreports/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/asterisk
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/asterisk
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/asterisk/
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/asterisk
%doc contrib

%files plugin-autofs
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/autofs
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/autofs
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/autofs
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/autofs/
%doc contrib

%files plugin-board
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/board/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/board/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/board
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/board/
%doc contrib

%files plugin-cyrus
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/cyrus/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/mail/mail-methods/class_mail-methods-cyrus.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/mail/mail-methods/class_mail-methods-sendmail-cyrus.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/mail/mail-methods/sieve_script.tpl
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/cyrus/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/cyrus/
%doc contrib

%files plugin-debconf
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/debconfProfile
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/debconf/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/debconf
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/debconf
%doc contrib

%files plugin-dhcp
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/dhcp
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/dhcp
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/dhcp
%doc contrib

%files plugin-dns
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/dns
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/dns
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/dns
%doc contrib

%files plugin-dsa
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/dsa
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/dsa
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/dsa
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/dsa/
%doc contrib

%files plugin-fai
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/fai/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/repository/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/fai
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/fai
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/fai/
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/fai
%doc contrib

%files plugin-fax
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/fax/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/blocklists/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/faxaccount/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/phoneaccount/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/fax
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/fax
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/fax/
%doc contrib

%files plugin-freeradius
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/freeradius/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/freeradius/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/freeradius
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/freeradius
%doc contrib

%files plugin-game
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/game/
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/game

%files plugin-kolab
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/kolab/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/kolab/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/kolab
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/kolab
%doc contrib

%files plugin-ldapmanager
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/ldapmanager/
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/ldapmanager

%files plugin-mail
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/mail/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/spam/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/virus/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/imap/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/postfix/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/groups/mail/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/ogroups/mail/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/mail
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/mail
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/class_mailPluginConfig.inc
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/mail
%doc contrib

%files plugin-nagios
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/nagios/main.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/nagios/nagios.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/nagios/class_nagiosAccount.inc
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/nagios
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/nagios
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/nagios/
%doc contrib

%files plugin-netgroups
%defattr(-,root,root,-)
%attr (-,root,root) %{_datadir}/%{name}/html/plugins/netgroups/
%attr (-,root,root) %{_datadir}/%{name}/plugins/admin/netgroups/
%attr (-,root,root) %{_datadir}/%{name}/plugins/admin/systems/netgroups/
%attr (-,root,root) %{_datadir}/%{name}/plugins/personal/netgroups/
%attr (-,root,root) %{_datadir}/%{name}/locale/plugins/netgroups/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/netgroups/
%doc contrib

%files plugin-opsi
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/opsi/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/opsi/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/opsi/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/opsi/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/opsi/
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/opsi/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/opsi/
%doc contrib

%files plugin-openstack-compute
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/openstack-compute/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/openstack-compute/
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/openstack-compute
%doc contrib

%files plugin-puppet
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/puppet
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/puppet
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/puppet
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/puppet
%doc contrib

%files plugin-pureftpd
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/pureftpd/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/pureftpd
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/pureftpd
%doc contrib

%files plugin-quota
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/quota/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/quota/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/quota
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/quota/
%doc contrib

%files plugin-rolemanagement
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/tabs_roles.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/main.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/class_roleGeneric.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/remove.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/class_roleManagement.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/role-list.xml
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/role-filter.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/role-filter.xml
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/paste_generic.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/roleGeneric.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/roleManagement/role-list.tpl
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/rolemanagement
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/rolemanagement

%files plugin-rsyslog
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/addons/rsyslog/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/rsyslog/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/rsyslog
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/rsyslog

%files plugin-samba
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/samba/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/samba/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/samba
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/samba
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/samba/
%doc contrib

%files plugin-squid
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/squid/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/squid
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/squid
%doc contrib

%files plugin-ssh
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/ssh/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/ssh
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/ssh
%doc contrib

%files plugin-sudo
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/sudo/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/sudo
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/sudo
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/sudo/
%doc contrib

%files plugin-supann
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/supann/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/supann/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/supannStructures/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/supann/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/supann/
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/supann
%doc contrib

%files plugin-sympa
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/sympa/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/sympa/
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/sympa/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/sympa/
%doc contrib

%files plugin-systems
%defattr(-,root,root,-)
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/SelectDeviceType.tpl
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_SelectDeviceType.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_faiStartup.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_mobilePhoneGeneric.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_networkSettings.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_printGeneric.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_selectUserToPrinterDialog.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_serverGeneric.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_terminalGeneric.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_terminalStartup.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/class_workstationGeneric.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/gencd.tpl
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/gencd_frame.tpl
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/network_section.tpl
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/phoneSelect/class_phoneSelect.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/phoneSelect/phoneSelect-filter.tpl
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/phoneSelect/phoneSelect-filter.xml
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/phoneSelect/phoneSelect-list.tpl
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/phoneSelect/phoneSelect-list.xml
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/printer.tpl
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/selectUserToPrinterDialog.tpl
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/tabs_mobile.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/tabs_printers.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/tabs_terminal.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/systems/tabs_workstation.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/system-list.xml
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/serverService-list.xml
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/main.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/class_componentGeneric.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/system-filter.xml
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/serverService-list.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/class_serverService.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/remove.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/serverService-filter.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/password.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/class_filterSYSTEMS.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/class_filterServerService.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/network.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/system-filter.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/ServiceAddDialog.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/class_goService.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/class_ServiceAddDialog.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/class_systemManagement.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/tabs_component.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/system-list.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/tabs_server.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/serverService-filter.xml
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/systemSelect/selectSystem-filter.xml
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/systemSelect/selectSystem-list.xml
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/systemSelect/class_systemSelect.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/systemSelect/selectSystem-filter.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/systemSelect/selectSystem-list.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/argonaut/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/shares/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/cups/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/terminal/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/ldap/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/services/ntp/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/systems/ppd/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/groups/apps/class_groupApplication.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/groups/apps/edit_entry.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/groups/apps/app_list.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/mimetypes/
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/ogroups/goto/termgroup.tpl
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/ogroups/goto/class_termgroup.inc
%attr (-,root,root)	%{_datadir}/%{name}/plugins/admin/applications/
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/systems
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/systems
%attr (-,root,root)	%{_datadir}/%{name}/plugins/config/systems/
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/systems
%doc contrib

%files plugin-uw-imap
%defattr(-,root,root,-)
%attr (-,root,root)	%{_datadir}/%{name}/plugins/personal/mail/uw-imap/class_mail-methods-uwimap.inc
%attr (-,root,root)	%{_datadir}/%{name}/locale/plugins/uw-imap
%attr (-,root,root)	%{_datadir}/%{name}/html/plugins/uw-imap



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.6-2.mga4
+ Revision: 532866
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 ennael <ennael> 1.0.6-1.mga4
+ Revision: 470068
- fix dot in summary
-fix group
- 1.0.6 version
- clean patch names
- fix apache conf for 2.4
- clean spec file (based on Olivier Bonhomme work)

* Wed Jan 23 2013 fwang <fwang> 1.0.1-4.mga3
+ Revision: 391383
- bump rel
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + ennael <ennael>
    - 1.0.2 version

* Sun Sep 18 2011 dmorgan <dmorgan> 1.0.1-3.mga2
+ Revision: 144682
- Change apache-conf require
- Fix requires

  + ennael <ennael>
    - finally fix rpm group
    - fix group
    - fix apache conf file
    - fix require on httpd
    - fix require name on php-msarty-gettext
    - fix patch for smarty location

* Fri Jul 01 2011 ennael <ennael> 1.0.1-1.mga2
+ Revision: 117133
- imported package fusiondirectory

